using InfluxDB.Client.Core;

namespace Managing.Infrastructure.Databases.InfluxDb.Models;

[Measurement("agent_balance")]
public class AgentBalanceDto
{
    [Column("agent_name", IsTag = true)] public string AgentName { get; set; }

    [Column("total_value")] public decimal TotalValue { get; set; }

    [Column("total_account_usd_value")] public decimal TotalAccountUsdValue { get; set; }

    [Column("bots_allocation_usd_value")] public decimal BotsAllocationUsdValue { get; set; }

    [Column("pnl")] public decimal PnL { get; set; }

    [Column(IsTimestamp = true)] public DateTime Time { get; set; }
}